IntelliCAD 11.1 Object Library
ArrayRectangular Method
See Also 
NumberOfRows
The number of rows (horizontal elements) in the array.
NumberOfColumns
The number of columns (vertical elements) in the array.
NumberOfLevels
The number of levels in a 3D array.
GapBetweenRows
The distance between rows. A positive number causes the array to be built to the right of the source object, while a negative number causes the array to be built to the left.
GapBetweenColumns
The distance between rows. A positive number causes the array to be built upward, while a negative number causes the array to be built downward.
GapBetweenLevels
The distance between levels. A positive number causes the array to be expanded in the positive direction, while a negative number causes the array to be expanded in a negative direction.
Arc Object : ArrayRectangular Method

Description

Creates a rectangular array.

Syntax

Visual Basic
Public Function ArrayRectangular( _
   ByVal NumberOfRows As Integer, _
   ByVal NumberOfColumns As Integer, _
   ByVal NumberOfLevels As Integer, _
   ByVal GapBetweenRows As Double, _
   ByVal GapBetweenColumns As Double, _
   ByVal GapBetweenLevels As Double _
) As SelectionSet

Parameters

NumberOfRows
The number of rows (horizontal elements) in the array.
NumberOfColumns
The number of columns (vertical elements) in the array.
NumberOfLevels
The number of levels in a 3D array.
GapBetweenRows
The distance between rows. A positive number causes the array to be built to the right of the source object, while a negative number causes the array to be built to the left.
GapBetweenColumns
The distance between rows. A positive number causes the array to be built upward, while a negative number causes the array to be built downward.
GapBetweenLevels
The distance between levels. A positive number causes the array to be expanded in the positive direction, while a negative number causes the array to be expanded in a negative direction.

Example

Sub Example_ArrayRectangular()

     ' This example creates a line and a rectangular array based on that line.

     

     Dim myLine As IntelliCAD.Line

     Set myDoc = Application.ActiveDocument

     Set myLine = myDoc.ModelSpace.AddLine(Library.CreatePoint(4, 2), Library.CreatePoint(7, 2))

     myLine.Update

     ThisDocument.Application.ZoomExtents

               

     ' Create a 4x3 array of an object.

     Dim retObj As Variant

     Set retObj = myLine.ArrayRectangular(4, 3, 1, 3, 2, 2)

     retObj.Update

     ThisDocument.Application.ZoomExtents

     MsgBox "Rectangular array constructed."

End Sub

See Also

© 2022 IntelliCAD Technology Consortium. All Rights Reserved.